Subject: Re: bug#7458: Distinguishing between left/right command and control keys in OSX

From: Jan Djärv <[email-masked]>
Date: Wed, 24 Nov 2010 15:53:12 +0100

New fix checked in.  I think we are getting there, but slowly...

	Jan D.

Robert Clancy skrev 2010-11-24 09.58:
> Now when I try to use right command as meta, emacs always picks it up as
> meta+super and OSX catches it. So I have errors like:
> M-s-x when I press <right-command>-x
> and
> <C-M-s-268632086> is undefined when I press C-<right-command>-v
>
> However, if I set ns-command-modifier to nil (as opposed to super), everything
> appears to work correctly.
>
> Rob
>
> On 24 Nov 2010, at 07:53, Jan Djärv wrote:
>
>> I checked in a new fix.
>>
>> Jan D.
>>
>>
>> Jan D. skrev 2010-11-22 11.52:
>>> Robert Clancy skrev 2010-11-22 09:45:
>>>> Thanks for that. When I set
>>>> ns-right-command-modifier
>>>> to meta, Emacs correctly interprets commands like:
>>>> M-v
>>>> but if I try to use a command like C-M-v, Emacs says:
>>>> <C-M-268632086> is undefined.
>>>> I presume that OSX is still catching the command key although Emacs can
>>>> interpret it as meta.
>>>>
>>>> If I set ns-command-modifier to meta I do not have this problem.
>>>>
>>>> Also, if I set ns-right-control-modifier to meta, Emacs does not
>>>> interpret right control correctly. That is it inteprets
>>>> <right control>-v as C-v
>>>> and
>>>> C-<right control>-v as C-v
>>>> when ns-right-control-modifier is set to meta.
>>>>
>>>
>>> I'll check.
>>>
>>>> Thanks,
>>>> Rob
>>>>
>>>> Should I file a separate bug report?
>>>
>>> No, it is in the scope of this one.
>>>
>>> Jan D.